# $Revision: 1.38 $, $Date: 2006/07/23 18:17:56 $
#
# Conditional build:
%bcond_without	home_etc	# don't use home_etc
#
Summary:	Quod Libet - GTK+-based audio player
Summary(pl):	Quod Libet - odtwarzacz dwiku oparty na GTK+
Name:		quodlibet
Version:	0.21.1
Release:	2
License:	GPL v2
Group:		X11/Applications/Multimedia
Source0:	http://www.sacredchao.net/~piman/software/%{name}-%{version}.tar.gz
# Source0-md5:	39508a281244e5b9264d2f9692e5f498
Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-Makefile.patch
URL:		http://www.sacredchao.net/quodlibet/wiki
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	intltool
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	python-pygtk-devel
%pyrequires_eq	python-modules
Requires:	gstreamer-GConf
Requires:	gstreamer-audio-effects-base
Requires:	gtk+2 >= 2:2.6.0
Requires:	python-ctypes
Requires:	python-gnome-gconf
Requires:	python-gstreamer >= 0.10.2-2
Requires:	python-mutagen >= 1.1
Requires:	python-pygtk-gtk >= 2:2.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Quod Libet is a GTK+-based audio player written in Python. It's
designed around the idea that you know better than we do how to
organize your music. It lets you make playlists based on regular
expressions (don't worry, regular searches work too). It lets you
display and edit any tags you want in the file. And it lets you do
this for all the file formats it supports -- Ogg Vorbis, FLAC, MP3,
Musepack, and MOD.

To use all of Quod Libet features (including audio playback) you will
also need the following packages: python-pyvorbis, python-pyao,
python-mad, python-pyid3lib.

%description -l pl
Quod Libet to oparty na GTK+ odtwarzacz dwiku napisany w Pythonie.
Jest zaprojektowany w oparciu o ide, e sami wiemy lepiej, jak chcemy
organizowa swoj muzyk. Odtwarzacz pozwala tworzy playlisty w
oparciu o wyraenia regularne (nie jest to powd do zmartwienia,
zwyke wyszukiwanie te dziaa). Pozwala wywietla i modyfikowa
dowolne znaczniki w pliku. Umoliwia to dla wszystkich obsugiwanych
formatw dwikowych: Ogg Vorbis, FLAC, MP3, Musepack i MOD.

Aby uywa wszystkich moliwoci Quod Libet (wcznie z odtwarzaniem
dwiku) potrzebne s take nastpujce pakiety: python-pyvorbis,
python-pyao, python-mad, python-pyid3lib.

%prep
%setup -q
%{?with_home_etc:%patch0 -p1}
%patch1 -p1

%build
%{__make} extensions
%{__make} po-data

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	LIBDIR=%{_libdir} \
	PREFIX=%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%banner %{name} -e << EOF
Remember to install appropriate python modules for files
you want to play:
- python-mad and gstreamer-mad (for MP3s)
- python-pyvorbis and gstreamer-vorbis (for Ogg Vorbis)
- python-pymusepack and gstreamer-musepack (for MPCs)
and audio output:
- gstreamer-audiosink-(alsa|oss|esd) (for ALSA, OSS or ESD output)
EOF

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*.py
%attr(755,root,root) %{_libdir}/%{name}/*.so
%{_libdir}/%{name}/browsers
%{_libdir}/%{name}/formats
%{_libdir}/%{name}/parse
%{_libdir}/%{name}/plugins
%{_libdir}/%{name}/qltk
%{_libdir}/%{name}/util
%{_libdir}/%{name}/*.png
%{_libdir}/%{name}/*.svg
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: quodlibet.spec,v $
Revision 1.38  2006/07/23 18:17:56  havner
- R: python-ctypes (it silently uses it to get to some .so files
  It's the way it determines whether some formats are supported)
- rel 2

Revision 1.37  2006/06/28 16:51:13  dzeus
- up to 0.21.1 (MP3s with POPM can be loaded again)

Revision 1.36  2006/06/10 06:43:11  patrys
- up to 0.21

Revision 1.35  2006/05/04 21:26:43  wiget
- updated to 0.20.1

Revision 1.34  2006/05/02 13:45:10  paladine
- updated to 0.20

Revision 1.33  2006/04/19 11:22:32  wiget
- release 2

Revision 1.32  2006/04/19 09:54:26  paladine
- works fine, rel. 1

Revision 1.31  2006/04/18 21:42:21  wiget
- start update to 0.19.1 NFY

Revision 1.30  2006/03/03 19:51:48  patrys
- up to 0.18

Revision 1.29  2006/02/26 23:15:00  rotom
- up to 0.17.1

Revision 1.28  2006/01/18 13:00:20  patrys
- up to 0.17
- pyflac dropped from banner (FLAC support is now part of mutagen)

Revision 1.27  2005/12/27 09:50:19  patrys
- works great
- rel. 1

Revision 1.26  2005/12/20 17:15:26  paladine
- updated to 0.16
- updated Makefile patch
- rel. 0.1

Revision 1.25  2005/12/02 19:26:37  patrys
- commiting R: gst-audio-effects

Revision 1.24  2005/11/30 19:13:48  patrys
- TODO added

Revision 1.23  2005/11/14 12:30:11  paladine
- builds and works, rel. 1

Revision 1.22  2005/11/14 12:19:32  paladine
- updated to 0.15
- updated Makefile patch
- fixed banner

Revision 1.21  2005/10/31 14:48:22  jajcus
- BR: intltool

Revision 1.20  2005/10/23 21:21:45  freetz
- fixed previous changelog entry

Revision 1.19  2005/10/23 21:14:14  freetz
- missing epochs, more on banner, removed TODO (obsolete)

Revision 1.18  2005/10/23 20:12:46  freetz
- sorted R's

Revision 1.17  2005/10/23 19:56:45  freetz
- libdir fix added

Revision 1.16  2005/10/23 17:36:53  paladine
- updated to 0.14

Revision 1.15  2005/10/20 10:59:38  jpc
- up to 0.13.1
- R: python-gnome-gconf

Revision 1.14  2005/09/18 21:26:01  jpc
- BR: gtk+2-devel and pkgconfig

Revision 1.13  2005/09/14 10:52:01  teodor
- remove R: GConf (thanks qboosh)

Revision 1.12  2005/09/13 20:48:59  teodor
- up to 0.13, added missing R: python-gstreamer, update banner
  by Marcin Sztolcman <msztolcman at post dot pl>
- added missing R: GConf, gstreamer-GConf
- added home-etc patch

Revision 1.11  2005/08/14 22:43:55  jpc
- up to 0.12 final
- added TODO

Revision 1.10  2005/08/05 20:12:23  jpc
- cosmetics
- adapterized

Revision 1.9  2005/08/05 20:11:12  jpc
- add a banner in post (by Mariusz Piotrowski
  <piotrowski.mariusz at gmail dot com>)

Revision 1.8  2005/07/30 23:08:04  jpc
- up to 20050731 snap

Revision 1.7  2005/05/16 15:41:02  jajcus
- Version: 0.11

Revision 1.6  2005/05/09 19:04:56  qboosh
- pl

Revision 1.5  2005/05/08 18:44:52  jajcus
- Release: 1

Revision 1.4  2005/05/08 18:35:21  jajcus
- more additional package suggestions

Revision 1.3  2005/05/08 18:20:48  jajcus
- added patch to stop Quot Libet crash on non-utf8 filenames

Revision 1.2  2005/05/08 17:02:15  jajcus
- MD5 sum for Source0

Revision 1.1  2005/05/08 16:57:00  jajcus
- new spec
